{% extends "base.html" %}
{% set active_page = "authenticate" %}
{% block body %}

<fieldset class="uk-fieldset">

    <legend class="uk-legend">Get Token</legend>
    <div class="uk-margin">
        <label>Token: <input id="token" class="uk-input" type="text" value="{{token}}" readonly="true"></label>
    </div>
    <button onclick="copyToken()" class="uk-button uk-button-primary uk-button-large">Copy Token</button>
    <script>
        function copyToken() {
            var token = document.getElementById("token")
            token.select()
            token.setSelectionRange(0,99999)
            document.execCommand("copy")
        }
    </script>
</fieldset>

{% endblock %}
